Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
DisplayRegionContext Class Reference
Inheritance diagram for DisplayRegionContext:

## Public Member Functions
| __init__ (self, cam)
| __getitem__ (self, key)
| camUpdate (self, lens=None)
| getHeight (self)
| getHfov (self)
| getVfov (self)
| getWidth (self)
| mouseUpdate (self)
| setFov (self, hfov, vfov)
| setHfov (self, hfov)
| setOrientation (self)
| setVfov (self, vfov)
| updateFilmSize (self, width, height)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
float | bottom = -self.nearHeight * 0.5
| cam = cam
| camLens = self.camNode.getLens()
| camNode = self.cam.node()
| camUpdate = 1
| dr = self.camNode.getDr(0)
| far = self.camLens.getFar()
| fovH = self.camLens.getHfov()
| fovV = self.camLens.getVfov()
| iRay = SelectionRay(self.cam)
int | isSideways = 1
float | left = -self.nearWidth * 0.5
float | mouseDeltaX = self.mouseX - self.mouseLastX
float | mouseDeltaY = self.mouseY - self.mouseLastY
float | mouseLastX = self.mouseX
float | mouseLastY = self.mouseY
float | mouseX = 0.0
float | mouseY = 0.0
| near = self.camLens.getNear()
float | nearHeight = math.tan(deg2Rad(self.fovV * 0.5)) * self.near * 2.0
| nearVec = Vec3(0)
float | nearWidth = math.tan(deg2Rad(self.fovH * 0.5)) * self.near * 2.0
int | originX = left+right-1
int | originY = top+bottom-1
float | orthoFactor = 0.1
float | right = self.nearWidth * 0.5
float | scaleX = 1.0/(right-left)
float | scaleY = 1.0/(top-bottom)
float | top = self.nearHeight * 0.5

## Static Public Attributes
int | regionCount = 0
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | cam )

## Member Function Documentation

## ◆ __getitem__()

__getitem__ | ( |  | self,
|  |  | key )

## ◆ camUpdate()

camUpdate | ( |  | self,
|  |  | lens = None )

## ◆ getHeight()

getHeight | ( |  | self | ) |

## ◆ getHfov()

getHfov | ( |  | self | ) |

## ◆ getVfov()

getVfov | ( |  | self | ) |

## ◆ getWidth()

getWidth | ( |  | self | ) |

## ◆ mouseUpdate()

mouseUpdate | ( |  | self | ) |

## ◆ setFov()

setFov | ( |  | self,
|  |  | hfov,
|  |  | vfov )

## ◆ setHfov()

setHfov | ( |  | self,
|  |  | hfov )

## ◆ setOrientation()

setOrientation | ( |  | self | ) |

## ◆ setVfov()

setVfov | ( |  | self,
|  |  | vfov )

## ◆ updateFilmSize()

updateFilmSize | ( |  | self,
|  |  | width,
|  |  | height )

## Member Data Documentation

## ◆ bottom

float bottom = -self.nearHeight * 0.5

## ◆ cam

cam = cam

## ◆ camLens

camLens = self.camNode.getLens()

## ◆ camNode

camNode = self.cam.node()

## ◆ camUpdate

camUpdate = 1

## ◆ dr

dr = self.camNode.getDr(0)

## ◆ far

far = self.camLens.getFar()

## ◆ fovH

fovH = self.camLens.getHfov()

## ◆ fovV

fovV = self.camLens.getVfov()

## ◆ iRay

iRay = SelectionRay(self.cam)

## ◆ isSideways

int isSideways = 1

## ◆ left

float left = -self.nearWidth * 0.5

## ◆ mouseDeltaX

float mouseDeltaX = self.mouseX - self.mouseLastX

## ◆ mouseDeltaY

float mouseDeltaY = self.mouseY - self.mouseLastY

## ◆ mouseLastX

float mouseLastX = self.mouseX

## ◆ mouseLastY

float mouseLastY = self.mouseY

## ◆ mouseX

mouseX = 0.0

## ◆ mouseY

mouseY = 0.0

## ◆ near

near = self.camLens.getNear()

## ◆ nearHeight

float nearHeight = math.tan(deg2Rad(self.fovV * 0.5)) * self.near * 2.0

## ◆ nearVec

nearVec = Vec3(0)

## ◆ nearWidth

float nearWidth = math.tan(deg2Rad(self.fovH * 0.5)) * self.near * 2.0

## ◆ originX

int originX = left+right-1

## ◆ originY

int originY = top+bottom-1

## ◆ orthoFactor

float orthoFactor = 0.1

## ◆ regionCount

int regionCount = 0
| static

## ◆ right

float right = self.nearWidth * 0.5

## ◆ scaleX

float scaleX = 1.0/(right-left)

## ◆ scaleY

float scaleY = 1.0/(top-bottom)

## ◆ top

float top = self.nearHeight * 0.5